=== debian/changelog ===
kernel-patch-powerpc-2.6.11 (2.6.11-2) unstable; urgency=low

  * Built wiht kernel-source 2.6.11-4.
  * Fixed kernel-build/kernel-headers so that kernel-build now include the
    symlinks to all kernel-headers stuff. (Sven Luther)
  * Fixed prep Motorola Powerstack II - Utah irq issues. (Sven Luther)
  * Enabled InfiniBand support, thanks to Troy Benjegerdes for testing and
    providing the config options. (Sven Luther)
  * Add Module.symvers to kernel-build/kernel-headers so out of
    tree modules can detect abi changes, (Simon Horman)
  * Fixed /lib/modules/<version>/source to point to kernel-build stuff if
    installed. (Sven Luther)
  * Disabled the follwoing drivers as they depend on various
    isa_() functions which are not avaibale for powerpc (Simon Horman) :
    - VGA16 Frame Buffer
    - Future Domain PCMCIA SCSI
    - Future Domain SCSI
    - HP 10/100VA PCLAN
    - ARCnet COM90xx (normal)
    - ARCnet COM90xx (RIM-I)

 -- Sven Luther <luther@debian.org>  Fri, 13 May 2005 09:33:54 +0200

kernel-patch-powerpc-2.6.11 (2.6.11-1) unstable; urgency=high

  * New Upstream release.

 -- Sven Luther <luther@debian.org>  Sun,  3 Apr 2005 23:57:42 +0200

kernel-patch-powerpc-2.6.10 (2.6.10-3) unstable; urgency=high

  * Removed again the bootloader postinst boot magic, as it caused bad
    interaction between make-kpkg and debconf. (Sven Luther)
  * Now copy kernel-source's changelog fil in the kernel-image.
  * Rebuilt against kernel-source 2.6.10-5.

 -- Sven Luther <luther@debian.org>  Wed, 23 Feb 2005 14:30:04 +0100

kernel-patch-powerpc-2.6.10 (2.6.10-2) unstable; urgency=high

  * Added kernel postinst magic to be sure we do the right thing in the
    mkvmlinuz case. (Sven Luther)

 -- Sven Luther <luther@debian.org>  Tue,  8 Feb 2005 21:05:01 +0100

kernel-patch-powerpc-2.6.10 (2.6.10-1) unstable; urgency=high

  * New upstream release. (Sven Luther)
  * Disable CONFIG_BLK_DEV_UB. (See: #284952, #283852) (Simon Horman)

 -- Sven Luther <luther@debian.org>  Sun,  6 Feb 2005 18:47:28 +0100

kernel-patch-powerpc-2.6.9 (2.6.9-4) unstable; urgency=high

  * Rebuilt against kernel-source-2.6.9-5 (Sven Luther) :
    - [powerpc] Added a couple of powermac patches from Benjamin Herrenschmidt :
      - 970FX cpu support
      - G5 thermal management update
      - Misc powermac fixes backports
      (Bug #287030) (Sven Luther)
    - [powerpc] Moved from powerpc kernel-patch package :
      - powermac legacy serial fix.
      - pegasos via-ide dual interrupt fix.
      (Sven Luther)
    - [powerpc] Added _chrp_type support though pegasos patch (Sven Luther)
    - [powerpc - prep] Fix bad irq assignement for pci devices on motorola
      powerstack boxes. (Sven Luther)
    - add dh_fixperms to the build targets to kernel-patch-debian-2.6.9
      to ensure that the permissions of the files in this package are
      sensible. (See: Bug#288279) (Simon Horman)
    - [SECURITY] Fix vulnerability in the ELF loader code allowing
      local attacker to execute code as root; CAN-2004-1235. 
      (Maximilian Attems)
    - [SECURITY] 028-do_brk_security_fixes.dpatch
      Drop Marcelo's fix, use Linus' instead.
      Fix local root vulnerability for various do_brk() calls;
      ensure an exclusive lock on memory while modifying it; CAN-2004-1235
      (Andres Salomon) (closes: #289155).
    - [SECURITY] 029-random_poolsize_overflow.dpatch
      drivers/char/random allows you to set the poolsize; its sanity checking
      on that input isn's very good.  We fix that here.
      See http://seclists.org/lists/fulldisclosure/2005/Jan/0270.html for
      more details.  This fixes #3 on that list (Andres Salomon).
    - [SECURITY] 030-moxa_user_copy_checking.dpatch
      The moxa driver does some ugly things w/ signed integers.  This fixes
      #4 on Brad Spengler's advisory (Andres Salomon).
    - [SECURITY] 031-sg_scsi_ioctl_int_overflows.dpatch
      SG ioctl stuff doesn't actually check whether the scsi command length
      is positive.  #5 on the above advisory (Andres Salomon).

  * Removed kernel-patch-powerpc package, since all the powerpc patches are
    now part of kernel-source. Next version of kernel-source-2.6.9 should
    have a conflict/replace/provides, but for now please remove it by hand.
    (Sven Luther)

 -- Sven Luther <luther@debian.org>  Sun,  9 Jan 2005 15:31:57 +0100

kernel-patch-powerpc-2.6.9 (2.6.9-3) unstable; urgency=low

  * Sven Luther :
    Rebuilt since i forgot to remove completely the metapackages from the
    changes file, and as a result -2 is in some kind of incoming/UNACCEPT
    no-man's land. Since built time is >9 hours, let's not take chance and
    upload -3 :/

 -- Sven Luther <luther@debian.org>  Fri, 10 Dec 2004 18:44:34 +0100

kernel-patch-powerpc-2.6.9 (2.6.9-2) unstable; urgency=low

  * Compiled SELinux support into the kernel, but left it disabled by
    default at boot time.  Thanks to Manoj Srivastava for investigating
    the issue and suggesting the necessary .config changes.

  * Rebuilt against kernel-source 2.6.9-3 (Sven Luther) :
    - Include dm_io-ENOMEM-goof patch that was included in final 2.6.8-8
      (Andres Salomon).
    - [SECURITY] Further binfmt_elf fixes, and binfmt_aout fixes as well
      (Andres Salomon).
    - [SECURITY] Further smbfs overflow fixes, stolen from -ac tree
      (Andres Salomon).
    - Add missing check for tty == NULL in uart_tasklet_action to fix an init
      oops on serial console. (Joshua Kwan)
    - Adding drivers-serial-8250-ioremap-fix.dpatch: a patch from Alex
      Williamson that prevents setserial from crashing the kernel. See:
      http://marc.theaimsgroup.com/?l=linux-kernel&m=109913237604338&w=2
      (Dann Frazier)
    - VLAN updates (Potential fix for: Bug#280743) (Simon Horman)
    - Remove bogus DMA blacklist for RICOH CD-R/RW MP7083A (Maximilian Attems)
    - tmpfs inode accounting leak fix (Maximilian Attems)
    - [SECURITY] Fix problems in binfmt_elf loader; see

